# Generated by Django 4.1.3 on 2023-03-31 19:43

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import tickets.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="TicketType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(max_length=32, unique=True, verbose_name="Name"),
                ),
                (
                    "life_cycle",
                    models.CharField(
                        max_length=192, unique=True, verbose_name="Life cycle"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TaskList",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=48, verbose_name="Name")),
                ("slug", models.SlugField(default="", verbose_name="Slug")),
                (
                    "group",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="auth.group",
                        verbose_name="Group",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Ticket Lists",
                "ordering": ["name"],
                "unique_together": {("group", "slug")},
            },
        ),
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="Status"
                    ),
                ),
                ("created_date", models.DateField(verbose_name="Created Date")),
                (
                    "status_changed_date",
                    models.DateTimeField(
                        blank=True, verbose_name="Status changed date"
                    ),
                ),
                (
                    "priority",
                    models.PositiveSmallIntegerField(
                        default=0, verbose_name="Priority"
                    ),
                ),
                ("title", models.CharField(max_length=64, verbose_name="Title")),
                ("note", models.TextField(blank=True, null=True, verbose_name="Note")),
                (
                    "due_date",
                    models.DateField(blank=True, null=True, verbose_name="Due date"),
                ),
                (
                    "assigned_to",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="tickets_assigned_to",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Assigned to",
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Created by",
                    ),
                ),
                (
                    "task_list",
                    models.ForeignKey(
                        blank=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tickets.tasklist",
                        verbose_name="Task list",
                    ),
                ),
                (
                    "type",
                    models.ForeignKey(
                        default=0,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="tickets_tickettype",
                        to="tickets.tickettype",
                        verbose_name="Type",
                    ),
                ),
            ],
            options={
                "verbose_name": "Task",
                "ordering": ["priority", "created_date"],
            },
        ),
        migrations.CreateModel(
            name="Attachment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "timestamp",
                    models.DateTimeField(
                        default=datetime.datetime.now, verbose_name="Timestamp"
                    ),
                ),
                (
                    "file",
                    models.FileField(
                        max_length=255,
                        upload_to=tickets.models.get_attachment_upload_dir,
                        verbose_name="File",
                    ),
                ),
                (
                    "added_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Added by",
                    ),
                ),
                (
                    "task",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tickets.task",
                        verbose_name="Task",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Comment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "date",
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name="Date"
                    ),
                ),
                (
                    "email_from",
                    models.CharField(
                        blank=True, max_length=320, null=True, verbose_name="Eamil from"
                    ),
                ),
                (
                    "email_message_id",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        verbose_name="Eamil message id",
                    ),
                ),
                ("body", models.TextField(blank=True, verbose_name="Body")),
                (
                    "author",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tickets_comments",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Author",
                    ),
                ),
                (
                    "task",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tickets.task",
                        verbose_name="Task",
                    ),
                ),
            ],
            options={
                "verbose_name": "Comment",
                "unique_together": {("task", "email_message_id")},
            },
        ),
    ]
