from django.urls import path, include
from tickets import views
from .apiviews import *
from rest_framework import routers

router = routers.SimpleRouter()
router.register(r'tickets', TaskMVS)
router.register(r'list', TaskListMVS)
router.register(r'type', TicketTypeMVS)
router.register(r'comment', CommentMVS)
router.register(r'attachments', AttachmentMVS)

app_name = "tickets"

urlpatterns = [
    path("", views.list_lists, name="lists"),
    path("reorder_tasks/", views.reorder_tasks, name="reorder_tasks"),
    path("mine/", views.list_detail, {"list_slug": "mine"}, name="mine"),
    path("<int:list_id>/<str:list_slug>/", views.list_detail, name="list_detail"),
    path("<int:list_id>/<str:list_slug>/delete/", views.del_list, name="del_list"),
    path("create_list/", views.create_list, name="create_list"),
    path("task/<int:task_id>/", views.task_detail, name="task_detail"),
    path(
        "attachment/remove/<int:attachment_id>/", views.remove_attachment, name="remove_attachment"
    ),
    path("api/", include(router.urls))
]

urlpatterns.extend(
    [
        path("change_status/<int:task_id>/", views.change_status, name="task_change_status"),
        path("delete/<int:task_id>/", views.delete_task, name="delete_task"),
        path("search/", views.search, name="search"),
        # path("import_csv/", views.import_csv, name="import_csv")
    ]
)